=== debian/changelog ===
netcat (1.10-50.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/fix-ftbfs-gcc15.patch: Fix FTBFS with GCC 15. (Closes: #1097445)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Sep 2025 16:44:56 -0400

netcat (1.10-50) unstable; urgency=medium

  * Standards-Version: 4.7.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jan 2025 09:41:07 +1100

netcat (1.10-49) unstable; urgency=medium

  * Standards-Version: 4.7.0
  * Build-Depends: debhelper-compat (= 13)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jan 2025 08:48:46 +1100

netcat (1.10-48.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with -Werror=implicit-int.  (Closes: #1075310)
  * Fix 'Unix' capitalization.  (Closes: #514816)
  * Update documentation references.  (Closes: #494250, #1032281)
  * Do not FTBFS if DEBIAN_VERSION is not defined.  (Closes: #686543)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Aug 2024 15:37:55 +0200

netcat (1.10-48.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066721)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2024 12:06:10 +0200

netcat (1.10-48) unstable; urgency=medium

  * Move files from /bin to /usr/bin

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 03:20:27 +0100

netcat (1.10-47) unstable; urgency=medium

  * Remove since-wheezy-transitional "netcat" package (Closes: #873184)
  * Bump Standards-Version to 4.6.0

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 11:41:53 +0000

netcat (1.10-46) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Enable hardening=bindnow (and others)
  * d/*: Fix minor encoding and whitespace issues

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC) (Closes: #968143)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Aug 2020 22:27:18 +0000

netcat (1.10-45) unstable; urgency=medium

  * Fix nc not being installed in arch builds now (Closes: #966062)
    All this was more work than it should have been.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 16:54:17 +0000

netcat (1.10-44) unstable; urgency=medium

  * Skip native build/install for indep builds,
    fixing FTBFS on arch:all buildd.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 10:11:39 +0000

netcat (1.10-43) unstable; urgency=medium

  * Make netcat depend on netcat-openbsd instead.
    Also see LP: #1780316.
  * Set Priority: optional. Lowering netcat-traditional from "important", and
    replacing the outdated "extra" priority.
  * Use debhelper compat v13 and new-style rules
  * debian/{control,copyright}: Run wrap-and-sort -a
  * d/control: Set Homepage, Vcs-* fields
  * d/control: Set Rules-Requires-Root: no
  * d/rules: Use dpkg/default.mk to reduce logic
  * d/rules: use $DEB_VERSION instead of dpkg-parsechangelog
  * Remove Debian-specific patch for Darwin

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 01:10:51 +0000

netcat (1.10-42) unstable; urgency=medium

  * Standards version is 4.5.0
  * d/control: Update uploaders
    Closes: #963259, #925109

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Jul 2020 19:33:02 -0500

netcat (1.10-41.1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: pass CC to Makefile and strip using dh_strip. (Closes: #794026)
  * Unhide build flags in build log.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 13 Apr 2017 20:31:30 +0200

netcat (1.10-41) unstable; urgency=medium

  * Add -C parameter to support CRLF line-ending.
    Add 545579-send-crlf.patch.
    Patch by Róbert Koszorús.
    Closes: #545579.
    LP: #425892.
  * Standards version is 3.9.5.
  * Section of binary package netcat is oldlibs.
  * Build-Depend on dpkg-dev (>= 1.16.1~).
    Don't build-depend on quilt.
  * Fix the lintian error below.
    E: netcat-traditional: statically-linked-binary bin/nc.traditional
    Add no-static.patch.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Sep 2014 08:11:44 +0100

netcat (1.10-40) unstable; urgency=low

  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Enable hardened build flags
    Patches by Moritz Muehlenhoff
    Add 655881-Makefile-LDFLAGS.patch
    Add 655881-netcat.c.format.patch
    Closes: #655881

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 12 Jun 2012 22:53:29 +1000

netcat (1.10-39) unstable; urgency=low

  [ Ruben Molina ]
  * New Maintainer, New Uploaders (RFA on debian-devel).
  * Bump Standards-Version: 3.9.1 (Adding Homepage field)
  * Raise dh compat to >= 8.0.0
  * Adding ${misc:Depends}
  * Now using dh_prep instead of dh_clean -k.
  * Move nc.1 to debian/man and clean patches that used to change it.
  * Now using 3.0 (quilt) format.

  [ Anibal Monsalve Salazar ]
  * Fix maintainer-script-without-set-e

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 11 Feb 2011 03:26:13 -0500

netcat (1.10-38) unstable; urgency=low

  * Move nc.1 from debian/ to top level directory, so that debian/ is not
    a self-referential patch. This will allow the package to trivially be
    converted to 3.0 (quilt) format. Thanks to Raphael Hertzog for pointing
    this out. (Closes: #485178)
  * Clarify documentation for -q.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 19 Jun 2008 16:24:35 -0400

netcat (1.10-37) unstable; urgency=low

  * Fix update-alternatives --remove invocation (Closes: #467505)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 25 Feb 2008 18:47:34 -0500

netcat (1.10-36) unstable; urgency=low

  * Rename binary package from "netcat-base" to "netcat-traditional", per
    request of ftp-master.

 -- Decklin Foster <decklin@red-bean.com>  Wed, 30 Jan 2008 18:26:25 -0500

netcat (1.10-35) unstable; urgency=low


