=== debian/control ===
Source: netcat
Section: net
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Chris Hofstaedtler <zeha@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/netcat.git
Vcs-Browser: https://salsa.debian.org/debian/netcat
Homepage: http://www.stearns.org/nc/
Rules-Requires-Root: no

Package: netcat-traditional
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: netcat
Description: TCP/IP swiss army knife
 A simple Unix utility which reads and writes data across network
 connections using TCP or UDP protocol. It is designed to be a reliable
 "back-end" tool that can be used directly or easily driven by other
 programs and scripts. At the same time it is a feature-rich network
 debugging and exploration tool, since it can create almost any kind
 of connection you would need and has several interesting built-in
 capabilities.
 .
 This is the "classic" netcat, written by *Hobbit*. It lacks many
 features found in netcat-openbsd.
