=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

# We are a network program.
DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

# TODO: there are a lot of warnings with -Wall on. Fix them.

INSTALL_PROG = install -m 0755

%:
	dh $@

override_dh_auto_build-arch:
	make linux \
	    CC="$(CC) $(CFLAGS) -Wall $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" STATIC='' \
		DFLAGS='-DLINUX -DTELNET -DGAPING_SECURITY_HOLE -DIP_TOS -DDEBIAN_VERSION=\"$(DEB_VERSION)\"'

override_dh_auto_build-indep:

override_dh_auto_install-arch:
	$(INSTALL_PROG) nc $(CURDIR)/debian/netcat-traditional/usr/bin/nc.traditional
	cp debian/man/nc.1 $(CURDIR)/debian/netcat-traditional/usr/share/man/man1/nc.traditional.1

override_dh_auto_install-indep:
