## netcat 1.10-3

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # Usually do "make systype" -- if your systype isn't defined, try "generic"
 # or something else that most closely matches, see where it goes wrong, fix
 # it, and MAIL THE DIFFS back to Hobbit.
+
+# Modified 1996-05-13 Michael Shields <shields@crosslink.net>
+#     Use $(CFLAGS) and $(LDFLAGS) in the conventional way.
+#     Don't link static.
 
 ### PREDEFINES
 
@@ -14,8 +18,8 @@
 XLIBS =		# xtra libs if necessary?
 # -Bstatic for sunos,  -static for gcc, etc.  You want this, trust me.
 STATIC =
-CC = cc $(CFLAGS)
-LD = $(CC) -s	# linker; defaults to stripped executables
+CC = cc
+LDFLAGS = -s	# linker; defaults to stripped executables
 o = o		# object extension
 
 ALL = nc
@@ -28,7 +32,8 @@
 ### HARD TARGETS
 
 nc:	netcat.c
-	$(LD) $(DFLAGS) $(XFLAGS) $(STATIC) -o nc netcat.c $(XLIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(DFLAGS) $(XFLAGS) $(STATIC) \
+		-o nc netcat.c $(XLIBS)
 
 nc-dos:
 	@echo "DOS?!  Maybe someday, but not now"
@@ -67,7 +72,7 @@
 	make -e $(ALL) $(MFLAGS) XFLAGS='-DAIX'
 
 linux:
-	make -e $(ALL) $(MFLAGS) XFLAGS='-DLINUX' STATIC=-static
+	make -e $(ALL) $(MFLAGS) XFLAGS='-DLINUX'
 
 # irix 5.2, dunno 'bout earlier versions.  If STATIC='-non_shared' doesn't
 # work for you, null it out and yell at SGI for their STUPID default
